Subject: bug#22679: 25.0.91; ibuffer-do-shell-command-pipe truncate output

From: Tino Calancha <[email-masked]>
Date: Wed, 6 Jul 2016 01:27:27 +0900 (JST)

On Tue, 5 Jul 2016, Glenn Morris wrote:

> Yes, I don't know if it is worth adding such an argument.
> I was really just complaining about how the function works. :)
I like your proposal: it simplifies the code and it reads much better.
But i am quite new here as to modify that stuff in simple.el:
some people may not understand why to change `shell-command' just
to fix one marginal command that just few people use.

Of course the priority is to make the command works as it should.
If i need to fix this i think i would find less resistance if my patch
just modify the offending command, possibly with an ugly code.  Once
the bug is fixed, then someone with much credits may think to write a
more elegant solution.